{% extends 'base/base.html' %}

{% load static %}

{% block page_content %}
  
<!-- Dropdown Card Example -->
<div class="card shadow mb-4">
    <!-- Card Header - Dropdown -->
    <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
        <h6 class="m-0 font-weight-bold text-primary">Listado de Contribuyentes - Pinos, Zacatecas </h6>
        <div class="dropdown no-arrow">
            <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
            </a>
            <div class="dropdown-menu dropdown-menu-right shadow animated--fade-in" aria-labelledby="dropdownMenuLink">
                <div class="dropdown-header">Acciones:</div>
                    <a class="dropdown-item" href="{% url 'catastro:contribuyentes_new' %}"> <i class="fa fa-calendar-plus"></i>Nuevo</a>
                    <!-- <a class="dropdown-item" href="#"><i class="fa fa-search-plus"></i>Buscar</a> -->
                    <!-- <a class="dropdown-item" href="#">Another action</a> -->
                <div class="dropdown-divider"></div>
                <!-- <a class="dropdown-item" href="#">Something else here</a> -->
            </div>
        </div>
    </div>

    <form class="form-inline" action="{% url 'catastro:busqueda' %}">
        {% csrf_token %}
         <div class="col-xl-6 col-md-6 mb-6">
             
             {% if obj %}      
                <div class="card border-left-warning shadow h-100 py-2">
             {% else %}
                <div class="card border-left-success shadow h-100 py-2">
             {% endif %}
             
                 <div class="card-body">
                     <div class="row no-gutters align-items-center">
                         <div class="col mr-2">
                             <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                                 {% if obj %} Buscar {% endif %} Contributente
                             </div>                        
                             <div class="dropdown-divider"></div>
 
                             <div class="col">
                                 <div class="card" style="width: 28rem;">
                                     <img src="{% static 'base/img/buscontribuyente.svg' %}" class="card-img-top" alt="..." height="200px" width="200px">
                                     <div class="card-body">
                                       <h5 class="card-title text-md-center">Búsqueda de Contribuyentes - Pinos, Zacatecas</h5>                                      
                                     </div>
                                 </div>
                             </div>
                             
                             <!-- primer fila -->
                             <div class="row mt-3">                                
                                 <div class="col text-uppercase font-weight-bold">
                                    Número de cuenta predial:
                                    <div class="input-group mt-2">
                                        <input type="search" name="buscontribuyente" placeholder="Ingresa el número de cuenta predial.." class="form-control" required>
                                    </div>
                                 </div>
                             </div>
 
                             <!-- {{ form.as_p }} -->
                             <div class="dropdown-divider"></div>
                             <div class="row">
                                  <div class="col">
                                     <button type="submit" class="btn btn-danger"><span class="fa fa-search"></span>Buscar</button>
                                     <a href="{% url 'catastro:contribuyentes_list' %}" class="btn btn-success"><span class="fa fa-undo">Cancelar</span></a>
                                 </div>
                             </div>                                
                             
                         </div>                        
                     </div>
                 </div>
             </div>
         </div>
    </form>  
 
    <!-- Card Body -->
    <div class="card-body">
        {% if not obj %}
            <div class="alert alert-info">No Hay Contribuyentes</div>           
        {% elif obj %}

        <div class="alert alert-heading text-uppercase font-weight-bolder"> >> Resultados:</div>  
        <table class="table table-bordered table-striped">
            <thead>
                <td>ID</td>
                <th>NÚMERO DE PREDIAL</th>
                <th>NOMBRE</th>
                <th>AP PATERNO</th>
                <th>AP MATERNO</th>
                <!-- <th>GÉNERO</th> -->
                <th>LOCALIDAD</th>
                <!-- <th>EXPEDIENTE</th> -->
                <!-- <th>NOTAS ADICIONALES</th> -->
                <th>ACCIONES</th>
            </thead>
    
            <tbody>
                                
                <tr>
                    <td>{{ obj.id }}</td>                       
                    {% if obj.numero_de_cuenta_predial %}
                        <td>{{ obj.numero_de_cuenta_predial }}</td>
                    {% else %}
                        <td></td>
                    {% endif %}                           

                    {% if obj.nombre %}
                        <td>{{ obj.nombre }}</td>                    
                    {% else %}
                        <td></td>
                    {% endif %}
                                                
                    {% if obj.ap_paterno %}
                        <td>{{ obj.ap_paterno }}</td>
                    {% else %}
                        <td></td>
                    {% endif %}
                                                                                       
                    {% if obj.ap_materno %}
                        <td>{{ obj.ap_materno }}</td>                    
                    {% else %}
                        <td></td>
                    {% endif %}
    
                    <!-- {% if item.genero %}
                        <td>{{ item.genero }}</td>                    
                    {% else %}
                        <td></td>
                    {% endif %} -->
    
                    {% if obj.localidad %}
                        <td>{{ obj.localidad }}</td>                    
                    {% else %} 
                        <td></td>
                    {% endif %}
                        
                    <!-- {% if item.expediente %}
                        <td>{{ item.expediente }}</td>                            
                    {% else %} 
                        <td></td>
                    {% endif %} -->
                            
                            
                    <!-- {% if item.notas_adicionales %}
                        <td>{{ item.notas_adicionales }}</td>
                    {% else %} 
                        <td></td>
                    {% endif %} -->
                            
                    <td>
                        <a href="{% url 'catastro:contribuyentes_edit' obj.id %}" class="btn btn-warning btn-circle"><i class="far fa-edit"></i></a>                           
                        <a href="{% url 'catastro:contribuyentes_delete' obj.id %}" class="btn btn-danger btn-circle"><i class="fas fa-trash-alt"></i> </a>                            
                    </td>
                </tr>                                     
                                
            </tbody>
        </table>
        {% endif %}

        <!-- <div>
            <a href="{% url 'apoyos:personas_list' %}" class="btn btn-secondary btn-icon-split">
                <span class="icon text-white-50">
                    <i class="fas fa-arrow-left"></i>
                </span>
                <span class="text">Regresar</span>
            </a>        
        </div> -->
    </div>
</div>  
{% endblock page_content %} 
   
{% block js_page %} {% endblock js_page %}
    